[
  {
    blockid=prop;
    custom=com.netscape.management.msgserv.folders.FPropControl;
    localvar=
    {
      .label.size = 100;
      .comp.space.sep = 15;

      .prettyname.label="Nom complet :";
      .description.label="Description :";

      .node.prop.posts.remoteandlocal.label="Autoriser la publication de messages en local et \u00e0 distance";
      .node.prop.posts.remoteonly.label="Autoriser uniquement les publications de messages \u00e0 distance (transmission uniquement)";
      .node.prop.posts.junk.label="Ne pas conserver les articles de ce dossier, mais les transf\u00e9rer aux sites de transmission.";
      .node.prop.moderated.label="Animer les discussions et publier les messages par courrier \u00e9lectronique \u00e0 :";
      .node.prop.alias.label="Ce dossier est une r\u00e9f\u00e9rence pour :"

       .node.gateway.border=[titled, "Passerelle"];
       .node.gateway.mailtonews.label="Adresse \u00e9lectronique du destinataire :";
       .node.gateway.newstomail.label="Publier les messages par courrier \u00e9lectronique \u00e0 :";
    };

    content=
    [
      { /* outermost pane */
        ctrl=pane;
        layout=[ybox];
        content=
        [ /* contents */

          { /* label indicating newsgroup name */
            ctrl=label;
            text=$folder.node.name;
            icon=$folder.node.icon;
          }, /* label indicating newsgroup name */

          { /* component space */
            ctrl=vstrut;
            size=$.comp.space.sep;
          }, /* component space */

          { /* separator */
            ctrl=separator;
          }, /* separator */

          { /* component space */
            ctrl=vstrut;
            size=$.comp.space.sep;
          }, /* component space */

          { /* properties */
            ctrl=pane;
            layout=[ybox];
            content=
            [ /* properties contents */

              { /* pretty name */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* pretty name contents */

                  { /* label */
                    ctrl=label;
                    text=$.prettyname.label;
                    alignh=right;
                    aligny=0.5;
                    wrap=$.label.size;
                    id=prettyname;
                  }, /* label */

                  { /* component space */
                    ctrl=rigid;
                  }, /* component space */

                  { /* textfield */
                    ctrl=text;
                    aligny=0.5;
                    label=prettyname;
                    val=$folder.node.prettyname;
                  }

                ]; /* pretty name contents */
              }, /* pretty name */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* description */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* description contents */

                  { /* label */
                    ctrl=label;
                    text=$.description.label;
                    alignh=right;
                    aligny=0.5;
                    wrap=$.label.size;
                    id=description;
                  }, /* label */

                  { /* component space */
                    ctrl=rigid;
                  }, /* component space */

                  { /* textfield */
                    ctrl=text;
                    aligny=0.5;
                    label=description;
                    val=$folder.node.desc;
                  }

                ]; /* description contents */
              }, /* description */

              { /* component space */
                ctrl=vstrut;
                size=$.comp.space.sep;
              }, /* component space */

              { /* separator */
                ctrl=separator;
              }, /* separator */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              { /* allow remote + local posts */
                ctrl=togglepane;
                style=radio;
                text=$.node.prop.posts.remoteandlocal.label;
                group=postproperties;
                id=localandremote;
              }, /* allow remote + local posts */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* allow remote only posts */
                ctrl=togglepane;
                style=radio;
                text=$.node.prop.posts.remoteonly.label;
                group=postproperties;
                id=remoteonly;
              }, /* allow remote only posts */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* transit posts */
                ctrl=togglepane;
                style=radio;
                text=$.node.prop.posts.junk.label;
                group=postproperties;
                id=transit;
              }, /* transit posts */

              { /* component space */
                ctrl=vstrut;
                size=$.comp.space;
              }, /* component space */

              { /* moderated newsgroups */
                ctrl=togglepane;
                style=radio;
                inline=true;
                text=$.node.prop.moderated.label;
                id=moderated;
                group=postproperties;
                content=
                [ /* moderator's e-mail */

                  { /* moderator's e-mail */
                    ctrl=text;
                    val=$folder.node.moderators;
                    id=moderators;
                  } /* moderator's e-mail */

                ]; /* moderator's e-mail */
              }, /* moderaged newsgroups */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* alias for another newsgroup */
                ctrl=togglepane;
                style=radio;
                inline=true;
                text=$.node.prop.alias.label;
                group=postproperties;
                id=referral;
                content=
                [ /* alias for ng */

                  { /* alias for ng */
                    ctrl=text;
                    val=$folder.node.referredfolder;
                    id=referredfolder;
                  } /* alias for ng */

                ]; /* alias for ng */
              }, /* alias for another newsgroup */

              { /* component space */
                ctrl=vstrut;
                size=$.comp.space.sep;
              }, /* component space */

              { /* separator */
                ctrl=separator;
              }, /* separator */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              { /* gateway options */
                ctrl=pane;
                layout=[ybox];
                border=$.node.gateway.border;
                content=
                [ /* gateway options contents */

                  { /* mail to news */
                    ctrl=togglepane;
                    style=checkbox;
                    text=$.node.gateway.mailtonews.label;
                    id=mailtonews;
                    val=$folder.node.domailtonews;
                    inline=true;
                    content=
                    [ /* mail recipient address */

                      {
                        ctrl=text;
                        val=$folder.node.smtpaddress;
                        id=smtpaddress;
                      }

                    ]; /* mail recipient address */
                  }, /* mail to news */

                  { /* component space */
                    ctrl=vstrut;
                    size=$g.comp.space;
                  }, /* component space */

                  { /* news to mail */
                    ctrl=togglepane;
                    style=checkbox;
                    text=$.node.gateway.newstomail.label;
                    id=newstomail;
                    val=$folder.node.donewstomail;
                    inline=true;
                    content=
                    [ /* mail gateway address */

                      {
                        ctrl=text;
                        val=$folder.node.mailgateway;
                        id=mailgateway;
                      }

                    ]; /* mail gateway address */
                  } /* news to mail */

                ]; /* gateway options contents */
              } /* gateway options */

            ]; /* properties contents */
          } /* properties */

        ]; /* contents */
      } /* outermost pane */
    ];
  }

]



